package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.EmpresaContaBancaria;

public class RenderEmpresaContaBancaria implements ListitemRenderer {

	@Override
	public void render(Listitem listItem, Object selectedEmpresaContaBancaria) throws Exception {
		
		Listcell lc = new Listcell();
		
		if(selectedEmpresaContaBancaria != null) {
			EmpresaContaBancaria empresaContaBancaria = (EmpresaContaBancaria) selectedEmpresaContaBancaria;
			
			lc = new Listcell(empresaContaBancaria.getInstituicaoFinandeira() != null ? empresaContaBancaria.getInstituicaoFinandeira().getNome() : "");
			lc.setParent(listItem);
			lc = new Listcell(empresaContaBancaria.getNumConta() != null ? empresaContaBancaria.getNumConta() : "");
			lc.setParent(listItem);
			lc = new Listcell(empresaContaBancaria.getNumAgencia() != null ? empresaContaBancaria.getNumAgencia() : "");
			lc.setParent(listItem);
			lc = new Listcell(empresaContaBancaria.getNumIntegracion() != null ? empresaContaBancaria.getNumIntegracion() : "");
			lc.setParent(listItem);
			listItem.setAttribute("data", empresaContaBancaria);
		}
	}
}